%define major		0
%define libname		%mklibname pstoedit %{major}
%define develname	%mklibname pstoedit -d

Summary:	Translates PostScript/PDF graphics into other vector formats
Name:		pstoedit
Version:	4.01
Release:	%mkrel 1
License:	GPLv2
Group:		Graphics/Editors and Converters
URL:		http://www.pstoedit.net/
Source0: 	https://prdownloads.sourceforge.net/pstoedit/%{name}-%{version}.tar.gz
# Fix cflags of the pkg-config file
Patch0:         pstoedit-pkglibdir.patch
BuildRequires:	bison
BuildRequires:	ghostscript
BuildRequires:	imagemagick-devel
BuildRequires:	plotutils-devel
BuildRequires:	multiarch-utils >= 1.0.3
BuildRequires:	pkgconfig(gdlib)
BuildRequires:	pkgconfig(libzip)

# not compatible
BuildConflicts:	ming-devel

%description
pstoedit translates PostScript and PDF graphics into other vector formats.
Currently pstoedit can generate the following formats:

	- Tgif .obj format (for tgif version >= 3)
	- fig format for xfig
	- pdf Adobe Portable Document Format
	- gnuplot format
	- Flattened PostScript (with or without Bezier curves)
	- DXF - CAD exchange format
	- LWO - LightWave 3D
	- RIB - RenderMan
	- RPL - Real3D
	- Idraw format (a special format of EPS that Idraw can read)
	- Tcl/Tk
	- HPGL
	- AI - Adobe Illustrator Format (based on ps2ai.ps, not a real pstoedit)
	- WMF - Windows Meta Files
	- PIC format for troff/groff
	- MetaPost format per usage with TeX/LaTeX
	- LaTeX2e picture
	- Kontour
	- GNU Metafile (plotutils/libplot)
	- Sketch (https://sketch.sourceforge.net)
	- Mathematica
	- through ImageMagick to any format supported by ImageMagick

%package -n %{libname}
Summary:	Pstoedit libraries
Group:		System/Libraries

%description -n %{libname}
This package contains the libraries needed to run programs dynamically
linked with pstoedit libraries.

%package -n %{develname}
Summary:	Static libraries and header files for pstoedit development
Group:		Development/C
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n %{develname}
If you want to create applications that will use pstoedit code or
APIs, you'll need to install these packages as well as pstoedit. This
additional package isn't necessary if you simply want to use pstoedit.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure --disable-static --with-libplot --with-magick
%make_build

%install
%make_install

# remove unneeded files
find %{buildroot} -name '*.la' -delete

%files
%doc doc/changelog.htm doc/readme.txt doc/pstoedit.htm doc/pstoedit.pdf
%doc examples
%license copying
%{_bindir}/pstoedit
%{_datadir}/pstoedit
%{_mandir}/man1/*.1*

%files -n %{libname}
%license copying
%{_libdir}/*.so.%{major}{,.*}
%{_libdir}/pstoedit/

%files -n %{develname}
%doc doc/changelog.htm
%{_includedir}/pstoedit/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4


%changelog
* Wed Apr 24 2024 daviddavid <daviddavid> 4.01-1.mga10
+ Revision: 2060774
- new version: 4.01

* Wed Sep 20 2023 daviddavid <daviddavid> 4.00-1.mga10
+ Revision: 1988321
- new version: 4.00

* Tue Mar 15 2022 danf <danf> 3.78-1.mga9
+ Revision: 1792490
- Update to ver. 3.78
- Add uniqueptr.patch to fix compiling with libstdc++ ver. 12

* Thu Feb 20 2020 umeabot <umeabot> 3.75-2.mga8
+ Revision: 1546439
- Mageia 8 Mass Rebuild

* Mon Feb 03 2020 daviddavid <daviddavid> 3.75-1.mga8
+ Revision: 1486534
- new version: 3.75
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Jun 30 2019 daviddavid <daviddavid> 3.74-1.mga8
+ Revision: 1416416
- new version: 3.74

* Sun Sep 23 2018 umeabot <umeabot> 3.73-2.mga7
+ Revision: 1300394
- Mageia 7 Mass Rebuild

* Mon Jul 09 2018 daviddavid <daviddavid> 3.73-1.mga7
+ Revision: 1242805
- new version: 3.73

* Fri Jan 19 2018 daviddavid <daviddavid> 3.70-9.mga7
+ Revision: 1194489
- rebuild for new imagemagick

* Wed Dec 27 2017 wally <wally> 3.70-8.mga7
+ Revision: 1185716
- rebuild for new imagemagick

* Sun May 28 2017 shlomif <shlomif> 3.70-7.mga6
+ Revision: 1105270
- rebuild for new imagemagick lib major + cleanups

* Fri Feb 12 2016 umeabot <umeabot> 3.70-6.mga6
+ Revision: 958551
- Mageia 6 Mass Rebuild

* Thu Sep 03 2015 cjw <cjw> 3.70-5.mga6
+ Revision: 872446
- patch3: fix pkgconfig file

* Tue Jun 30 2015 fwang <fwang> 3.70-4.mga6
+ Revision: 848257
- release
- use strcpy_s

* Mon Jun 29 2015 fwang <fwang> 3.70-3.mga6
+ Revision: 847357
- apply patches

* Mon Jun 29 2015 fwang <fwang> 3.70-2.mga6
+ Revision: 847343
- fix libdir of pstoedit
- fix linkage

* Wed Jun 24 2015 fwang <fwang> 3.70-1.mga6
+ Revision: 841883
- add br
- 3.70

* Wed Oct 15 2014 umeabot <umeabot> 3.62-5.mga5
+ Revision: 741790
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.62-4.mga5
+ Revision: 687819
- Mageia 5 Mass Rebuild

* Sat Aug 23 2014 fwang <fwang> 3.62-3.mga5
+ Revision: 666795
- rebuild for imagemagick

* Mon Oct 21 2013 umeabot <umeabot> 3.62-2.mga4
+ Revision: 540754
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 lmenut <lmenut> 3.62-1.mga4
+ Revision: 494280
- cleanup spec
- fix release

* Wed Oct 09 2013 lmenut <lmenut> 3.62-0.mga4
+ Revision: 494274
- update to 3.62
  rediff patch 1

* Thu Sep 19 2013 fwang <fwang> 3.61-6.mga4
+ Revision: 481475
- rebuild for new imagemagick

* Wed Aug 07 2013 fwang <fwang> 3.61-5.mga4
+ Revision: 464407
- rebuild for new imagemagick

* Tue May 28 2013 fwang <fwang> 3.61-4.mga4
+ Revision: 429146
- rebuild for new imagemagick

* Sun Jan 13 2013 umeabot <umeabot> 3.61-3.mga3
+ Revision: 378285
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ cjw <cjw>
- don't patch configure
+ boklm <boklm>
- Update group: Graphics/Editors -> Graphics/Editors and Converters

* Fri Dec 14 2012 fwang <fwang> 3.61-2.mga3
+ Revision: 330740
- rebuild for new imagemagick

* Wed Nov 21 2012 lmenut <lmenut> 3.61-1.mga3
+ Revision: 320374
- update to 3.61

* Fri Oct 12 2012 fwang <fwang> 3.60-1.mga3
+ Revision: 305068
- update rpm group

* Fri Mar 02 2012 lmenut <lmenut> 3.60-1.mga2
+ Revision: 216976
- update to 3.60
  + rediff patch 1

* Tue Sep 13 2011 fwang <fwang> 3.50-5.mga2
+ Revision: 142828
- rebuild for new libpng

* Sat Feb 12 2011 ahmad <ahmad> 3.50-4.mga1
+ Revision: 50699
- drop old/unneeded scriptlets
- imported package pstoedit


* Thu Jul 15 2010 Funda Wang <fwang@mandriva.org> 3.50-3mdv2011.0
+ Revision: 553470
- rebuild for new imagemagick

* Thu Jan 14 2010 Funda Wang <fwang@mandriva.org> 3.50-2mdv2010.1
+ Revision: 491445
- rebuild for new imagemagick

* Tue Jan 05 2010 Luc Menut <lmenut@mandriva.org> 3.50-1mdv2010.1
+ Revision: 486514
- update to version 3.50
  update source URL
  drop gcc-4.3 patch
  rediff module-build patch

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Fri Jan 30 2009 Funda Wang <fwang@mandriva.org> 3.45-7mdv2009.1
+ Revision: 335485
- new devel package name policy
- drop verison from modules
- add gcc 4.3 patch

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Apr 22 2008 Lev Givon <lev@mandriva.org> 3.45-5mdv2009.0
+ Revision: 196624
- Add plotutils-devel build dependency to ensure svg support.

  + Funda Wang <fwang@mandriva.org>
    - add buildroot
    - rebuild

* Tue Jan 22 2008 Lev Givon <lev@mandriva.org> 3.45-3mdv2008.1
+ Revision: 156013
- Rebuild against updated plotutils so as to provide svg support.

* Tue Jan 08 2008 Oden Eriksson <oeriksson@mandriva.com> 3.45-2mdv2008.1
+ Revision: 146515
- rebuilt against new imagemagick libs (6.3.7)

* Thu Dec 27 2007 Jérôme Soyer <saispo@mandriva.org> 3.45-1mdv2008.1
+ Revision: 138401
- New release

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Feb 24 2007 Emmanuel Andry <eandry@mandriva.org> 3.44-2mdv2007.0
+ Revision: 125338
- rebuild for latest ImageMagick

* Mon Jan 15 2007 Lenny Cartier <lenny@mandriva.com> 3.44-1mdv2007.1
+ Revision: 109213
- Update to 3.44
- Import pstoedit

* Sat Oct 01 2005 Lenny Cartier <lenny@mandriva.com> 3.42-1mdk
- 3.42

* Fri Sep 02 2005 Marcel Pol <mpol@mandriva.org> 3.40-7mdk
- rebuild for new ImageMagick

* Wed Aug 17 2005 Abel Cheung <deaddog@mandriva.org> 3.40-6mdk
- Abandon autogen.sh completely in favor of autoreconf, so patch0
  can be dropped
- Patch2: eliminate automake complaining about unquoted m4 macros

* Wed Aug 17 2005 Michael Scherer <misc@mandriva.org> 3.40-5mdk
- Rebuild for lack of libdpstk.so.1

* Sat Aug 06 2005 Giuseppe Ghibò <ghibo@mandriva.com> 3.40-4mdk
- Rebuilt against latest ImageMagick.
- Rebuilt Patch0 for aclocal-1.9.

* Sat Jul 30 2005 Lenny Cartier <lenny@mandriva.com> 3.40-3mdk
- rebuild for dependencies

* Sun May 08 2005 Giuseppe Ghibò <ghibo@mandriva.com> 3.40-2mdk
- Fixed BuildConflicts for x86-64.

* Sat Mar 19 2005 Giuseppe Ghibò <ghibo@mandrakesoft.com> 3.40-1mdk
- Release 3.40.

* Sat Feb 05 2005 Abel Cheung <deaddog@mandrake.org> 3.33-9mdk
- rebuild

* Mon Jan 17 2005 Abel Cheung <deaddog@mandrake.org> 3.33-8mdk
- rebuild

* Wed Dec 15 2004 Abel Cheung <deaddog@deaddog.org> 3.33-7mdk
- rebuild

* Sun Aug 01 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 3.33-6mdk
- Rebuilt against ImageMagick 6.0.4.

* Wed Jun 30 2004 Abel Cheung <deaddog@deaddog.org> 3.33-5mdk
- P0: Fix build
- P1: Allow parallel build
- Add missing buildrequires
- Other build cleanup

